
#ifndef EVENTS_EXAMPLE_H
#define EVENTS_EXAMPLE_H

#include <Spectre/Game.h>
#include <Spectre/System/EventListener.h>

class EventsExample : public sp::Game, sp::EventListener
{
public :
	void onEvent(const sp::Event& event);

protected :

	void init();

	void update(double dt);

	void render();
};

#endif /* EVENTS_EXAMPLE_H */
